Bug 417751 - python: corrupted double-linked list when low on virtual memory
python: corrupted double-linked list when low on virtual memory
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 03:05 EST by Jay Turner
Modified: 2016-10-07 08:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:27:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-12-10 03:05:12 EST
Description of problem:

When yum is run when low on virtual memory, glibc fairly often reports that it
detected a corrupt doubly linked list. I have no idea if the problem is in
python, or rpmlib, or whatever, so I assign to python.

Version-Release number of selected component (if applicable):

Everything is yesterday's (2007-12-10) rawhide, I've seen this happening in
pre-F8 times.

Steps to Reproduce:
1. Run "yum install" of a package with >10 new dependencies on @base
installation with 128M of physical RAM and no swap. (Well, maybe some ulimit
would also do...)
  
Actual results:

...
Transaction Test Succeeded
Running Transaction
  Installing: giflib                       ####################### [ 1/13] 
error: Couldn't fork %post: Cannot allocate memory
  Installing: glib                         ####################### [ 2/13] 
error: Couldn't fork %post: Cannot allocate memory
  Installing: gtk+                         ####################### [ 3/13] 
error: Couldn't fork %post: Cannot allocate memory
  Installing: imlib                        ####################### [ 4/13] 
error: Couldn't fork %post: Cannot allocate memory
*** glibc detected *** /usr/bin/python: corrupted double-linked list: 0x0bcecb90 ***

Additional info:

It seems like some unsuccessful malloc is not checked for a return value or
whatever.

I'll try to get a core dump next time it happens. (Note that the program didn't
crash, so I'll have to obtain with by sending it a SIGABRT).
Comment 1 Bug Zapper 2008-05-14 00:09:05 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 19:16:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:27:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Bill McGonigle 2010-03-26 16:24:31 EDT
Seeing this now on Fedora 11:

/etc/cron.daily/0yum.cron:

/usr/lib/yum-plugins/fedorakmod.py:25: DeprecationWarning: the sets module is deprecated
  from sets import Set
*** glibc detected *** /usr/bin/python: corrupted double-linked list: 0x0c8d3240 ***
/etc/cron.daily/0yum.cron: line 120:  9724 Killed                  /usr/bin/yum $YUM_PARAMETER -R $RANDOMWAIT -e ${ERROR_LEVEL:-0} -d ${DEBUG_LEVEL:-0} -y update yum
Freeing read locks for locker 0xc8: 9724/3078359248
Freeing read locks for locker 0xca: 9724/3078359248
/usr/lib/yum-plugins/fedorakmod.py:25: DeprecationWarning: the sets module is deprecated
  from sets import Set
error: rpmdbNextIterator: skipping h#    8701 tag[5]: BAD, tag 251 type -822083580 offset 44 count 1
error: rpmdbNextIterator: skipping h#    8701 tag[5]: BAD, tag 251 type -822083580 offset 44 count 1
Comment 6 Billy Crook 2016-10-07 08:36:35 EDT
This is still a bug.  Observed on 2016-10-07 in CentOS 6.8

[root@Droplet1 ~]# rpm --version
RPM version 4.8.0
[root@Droplet1 ~]# uname -a
Linux Droplet1.Redacted.com 2.6.32-431.1.2.0.1.el6.x86_64 #1 SMP Fri Dec 13 13:06:13 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Note You need to log in before you can comment on or make changes to this bug.